using System.Runtime.InteropServices;
using System.Windows;
using Microsoft.VisualStudio.Shell;

namespace VS2010Addin.SQLAzure2010Addin.ToolWindows
{
    [Guid("16BEC5CC-3A05-499F-ADA2-A1E0A603BADD")]
    public class TableDataWindow : ToolWindowPane
    {
        private FrameworkElement control;

        /// <summary>
        /// Standard constructor for the tool window.
        /// </summary>
        public TableDataWindow() : base(null)
        {
            this.Caption = "Name Data";
            this.BitmapResourceID = 301;
            this.BitmapIndex = 1;

            control = new TableDataControl();
        }

        /// <summary>
        /// This property returns the control that should be hosted in the Tool Window.
        /// It can be either a FrameworkElement (for easy creation of toolwindows hosting WPF content), 
        /// or it can be an object implementing one of the IVsUIWPFElement or IVsUIWin32Element interfaces.
        /// </summary>
        override public object Content 
        {
            get
            {
                return this.control;
            }
        }
    }
}