﻿using System.Windows.Controls;

using Microsoft.VisualStudio.TestTools.UnitTesting;
using VS2010Addin.SQLAzure2010Addin.Helpers;

namespace VS2010Addin.SQLAzure2010Addin.Tests
{
    /// <summary>
    /// Summary description for RepositoryTests
    /// </summary>
    [TestClass]
    public class HelperTests
    {

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void ShouldGetImageFromPng()
        {
            var image = ImageHelper.GetImageFromResource("Resources/sqlazure.png");
            Assert.IsNotNull(image);
        }

        [TestMethod]
        public void ShouldCreateTreeViewItemWithStackpanelImageAndText()
        {
            var item = TreeViewHelper.CreateTreeViewItemWithImage("SQL Azure", "Resources/sqlazure.png", true);
            Assert.IsNotNull(item);
            var header = item.Header;
            Assert.IsNotNull(header);
            Assert.IsInstanceOfType(header, typeof(StackPanel));
        }
    }
}
