﻿using System.Windows;
using VS2010Addin.SQLAzure2010Addin.Properties;

namespace VS2010Addin.SQLAzure2010Addin.Dialogs
{
    /// <summary>
    /// Interaction logic for PropertiesDialog.xaml
    /// </summary>
    public partial class PropertiesDialog : Window
    {
        public PropertiesDialog()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Password.Password = Settings.Default.Password;
        }

        private void SaveButton_Click(object sender, RoutedEventArgs e)
        {
            SaveSettings();
            Close();
        }

        private void SaveSettings()
        {
            Settings.Default.ServerName = ServerName.Text;
            Settings.Default.Login = Login.Text;
            Settings.Default.Password = Password.Password;
            Settings.Default.Save();
        }

        private void ApplyButton_Click(object sender, RoutedEventArgs e)
        {
            SaveSettings();
        }



        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}